<template lang='pug'>
BaseCard
  li(key='values')
    .row
      .col-auto #[strong Live Values]
      .col-auto.ml-auto
        button.btn.btn-sm.btn-outline-secondary.mx-1(v-show='showReset' @click='doReset') #[i.fa.fa-sync] reset
    template(v-for='value, idx in transformList')
      .input-group.input-group-sm.my-1&attributes(attributes)
        .input-group-prepend
          .input-group-text.text-muted(style='min-width: 8rem;') {{ value.transform }}
        template(v-for='arg, argIdx in value.args')
          input.form-control(type='number' :value='arg' @change='setValue(value, argIdx, $event.target.value)')
          input.form-control(type='text' :value='value.units[argIdx] || ""' @change='setUnit(value, argIdx, $event.target.value)')
</template>
<script src='./TransformEditValues.vue.js' />
